Skip to main content

Get all managed payout schedules on your balance platform

get/balancePlatforms/{balancePlatformId}/payoutSchedules

Returns a list of all the payout schedules that are configured for your balance platform. You can use query parameters to filter the elements that are returned in the list.

Endpoint destination URL
https://balanceplatform-api-test.adyen.com/bcl/v2/balancePlatforms/{balancePlatformId}/payoutSchedules
Click to copy
currencystring

The three-character ISO currency code of the currency used in the payout configuration.

countryCodestring

The two-letter ISO 3166-1 alpha-2 country code of the country to which the payout configuration applies.

balancePlatformIdstringRequired

The unique identifier of the balance platform.

After submitting a call, you receive a response message to inform you that your request was received and processed.

Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.

HTTP Responses

  • 200 - OK

    The request has succeeded.

  • 401 - Unauthorized

    Authentication required.

  • 403 - Forbidden

    Insufficient permissions to process the request.

  • 404 - Not Found

    The resource was not found

  • 422 - Unprocessable Entity

    A request validation error.

  • 500 - Internal Server Error

    The server could not process the request.